Skip to main content
GET
/
v1
/
token
/
{chain}
/
{tokenAddress}
/
price
Token - Price by Time
curl --request GET \
  --url https://api.chainstream.io/v1/token/{chain}/{tokenAddress}/price \
  --header 'Authorization: Bearer <token>'
{
  "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
  "priceInUsd": "1000",
  "priceInNative": "1000",
  "timestamp": 1754055151000
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth
tokenAddress
string
required

An address of a token

Example:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

Query Parameters

timestamp
integer<int64>
required

Timestamp for price query (Unix epoch in seconds)

Example:

1763461274000

Response

200 - application/json
tokenAddress
string
required

Token contract address

Example:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

priceInUsd
string
required

Token price in USD

Example:

"1000"

priceInNative
string
required

Token price in native currency (e.g., SOL)

Example:

"1000"

timestamp
integer<int64>
required

Price timestamp (Unix epoch in seconds)

Example:

1754055151000